<!DOCTYPE html>
<html th:attr="lang=${lang}" xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity4">
<head>
    <title th:inline="text">.:: [[${@environment.getProperty('application.brand')}]] | [[${title}]] ::.</title>
    <meta charset="utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
	<meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport"/>
	<link rel="stylesheet" th:href="@{/css/bootstrap.css}"/>
	<link rel="stylesheet" th:href="@{/css/font-awesome.css}"/>
    <link rel="stylesheet" th:href="@{/css/theme.css}"/>
    <link rel="stylesheet" th:href="@{/css/theme-skin.css}"/>
    <link rel="stylesheet" th:href="@{/css/main.css}"/>
    <div th:replace="${view} :: css" th:remove="tag">CSS Here</div>
</head>
<body th:inline="text" class="hold-transition login-page">
<div th:replace="${view} :: content">Content Here</div>
<script type="text/javascript" th:src="@{/js/jquery.js}"></script>
<script type="text/javascript" th:src="@{/js/bootstrap.js}"></script>
<script type="text/javascript" th:src="@{/js/app.js}"></script>
<script type="text/javascript" th:src="@{/js/jquery.slimscroll.js}"></script>
<script type="text/javascript" th:src="@{/js/jquery.validate.js}"></script>
<script type="text/javascript" th:src="@{/js/form.js}"></script>
<script type="text/javascript">
    $(document).ready(function(){
        jQuery.validator.setDefaults({
            highlight: function(element) {
                $(element).closest('.form-group').addClass('has-error');
            },
            unhighlight: function(element) {
                $(element).closest('.form-group').removeClass('has-error');
            },
            errorElement: 'span',
            errorClass: 'help-block',
            errorPlacement: function(error, element) {
                if(element.parent('.input-group').length) {
                    error.insertAfter(element.parent());
                } else {
                    error.insertAfter(element);
                }
            },
        });
    });
</script>
<div th:replace="${view} :: js">JS Here</div>
</body>
</html>